#!/bin/sh
# Copyright 2023, Charadon
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty, provided the copyright notice
# and this notice are preserved. This file is offered as-is, without any
# warranty.
set -eu

echo "This script will demonstrate some neat stuff!"
echo "Press enter to continue..."

CHOICE=""
read CHOICE
printf "\n"

echo "Here are some variables we set for you: "
echo "\$HOME - Not on windows by default, but we provide it for you!"
echo "  Value: $HOME"
echo "\$USER - Not on windows by default, but again, we provide it for you!"
echo "  Value: $USER"
echo "\$EDITOR - If this isn't set in the user's environment, we make it Nano by default!"
echo " Value: $EDITOR"
read CHOICE

echo "Now i'm going to put a message on your desktop!"
read CHOICE
echo "How are you $USER? I hope you are having a wonderful day!" > "$HOME/Desktop/greetings.txt"
echo "Now let's open it..."
read CHOICE
$EDITOR "$HOME/Desktop/greetings.txt"
echo "Here's all the commands you have available to you:"
read CHOICE
ls -w1 /usr/bin | less

echo "Do you want to go into a shell and play around? [y/N]"
read CHOICE
case $CHOICE in
  y|Y)
    /bin/sh
    ;;
  *)
    ;;
esac

echo "This has been a demonstration script. This script will now exit once you press Enter..."
read CHOICE
